Skip to content

Update a single card permission
deprecated

Request

Enable or disable a single spending permission on a card.

This endpoint is deprecated. Please use the v4 endpoint instead.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that owns the card.

Example:123456
cardTokenstring, (uuid)required

The unique token identifying the card.

Example:ca0c8154-1e14-4464-a1ce-dcea7dc3de52
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
typestringrequired

The permission type to update.

Enum:"ECOM""POS_CHIP""POS_MAGSTRIPE""POS_CONTACTLESS""ATM_WITHDRAWAL""MOBILE_WALLETS"
Example:"ECOM"
isEnabledbooleanrequired

Whether to enable or disable this permission.

Example:true
curl -i -X PATCH \
  https://api.wise.com/v3/spend/profiles/123456/cards/ca0c8154-1e14-4464-a1ce-dcea7dc3de52/spending-permissions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "ECOM",
    "isEnabled": true
  }'

Responses

Permission updated successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content